在tomcat startup.bat 执行时显示jdk 1.5和1.6两个版本

windyuu 2010-09-25 05:33:49
说明:
win2003 安装了两个jdk 1.5 和 1.6 ,系统环境变量给了1.5,
现在tomcat需要用1.6 ,于是修改了catalina.bat 、setclasspath.bat可以正常启动了,问题是启动过程中仍然显示 jdk1.5的路径。

怎么才能不让1.5显示出来呢?
...全文
228 点赞 收藏 3
写回复
3 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
windyuu 2010-09-26
贴点日志
2010-9-26 9:28:49 org.apache.catalina.core.AprLifecycleListener init
信息: The Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: C:\Program Files\Java\jdk1.6.0_20\bin;.;C:\WINDOWS\Sun\Java\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\Program Files\Java\jdk1.5.0\bin;C:\Program Files\Java\jdk1.5.0\bin;C:\Program Files\Java\jdk1.5.0\bin;C:\WINDOWS\System32;C:\Program Files\Microsoft SQL Server\80\Tools\BINN;C:\Program Files\Microsoft SQL Server\80\Tools\BINN;C:\Program Files\Microsoft SQL Server\80\Tools\BINN;d:\Program Files\SSH Communications Security\SSH Secure Shell
2010-9-26 9:28:49 org.apache.coyote.http11.Http11Protocol init
信息: Initializing Coyote HTTP/1.1 on http-8089
2010-9-26 9:28:49 org.apache.catalina.startup.Catalina load
信息: Initialization processed in 621 ms
2010-9-26 9:28:49 org.apache.catalina.core.StandardService start
信息: Starting service Catalina
2010-9-26 9:28:49 org.apache.catalina.core.StandardEngine start
信息: Starting Servlet Engine: Apache Tomcat/6.0.14
2010-9-26 9:28:51 org.apache.catalina.loader.WebappClassLoader validateJarFile
信息: validateJarFile(E:\jsjj\TYTD_GW\Platform\apache-tomcat-6.0.14\webapps\tech_mmsgateway\WEB-INF\lib\geronimo-servlet_2.5_spec-1.2.jar) - jar not loaded. See Servlet Spec 2.3, section 9.7.2. Offending class: javax/servlet/Servlet.class
2010-9-26 9:29:00 org.apache.catalina.loader.WebappClassLoader validateJarFile
信息: validateJarFile(E:\jsjj\TYTD_GW\Platform\apache-tomcat-6.0.14\webapps\tech_resource_center_ws\WEB-INF\lib\geronimo-servlet_2.5_spec-1.2.jar) - jar not loaded. See Servlet Spec 2.3, section 9.7.2. Offending class: javax/servlet/Servlet.class
2010-9-26 9:29:01 org.apache.coyote.http11.Http11Protocol start
回复
windyuu 2010-09-26
在说的细点,
是在华为mas上部署另一个程序,原华为系统jdk版本是1.5,现在要安装另一个程序,jdk版本要求是1.6,要保障原系统不能改动。

后来就是安装了jdk1.6,但是解决不了,上面说的问题!!!

我分少的,只能提供20了,帮帮忙了...
回复
相关推荐
发帖
Web 开发
创建于2007-09-28

8.0w+

社区成员

Java Web 开发
申请成为版主
帖子事件
创建了帖子
2010-09-25 05:33
社区公告
暂无公告